Subject: [bug#43482] [PATCH 2/3] doc: Add the "Channels" section menu.

From: Ludovic Courtès <[email-masked]>
Date: Fri, 25 Sep 2020 11:20:15 +0200

Hi,

zimoun <[email-masked]> skribis:

> On Thu, 24 Sep 2020 at 16:52, Ludovic Courtès <[email-masked]> wrote:
>
>> > +@node Channel Authentication
>> >  @subsection Channel Authentication
>>
>> What I had in mind was also to move everything one level higher:
>> @section becomes @chapter, @subsection becomes @section, etc.
>
> I had that in mind too.  After I did the change (subsection->section,
> etc.), then I was not convinced, so I just added the '@node'.

I think moving one level higher can help.  More generally, I think it’s
a bad sign when a manual as few chapters and many subsubsubsections; it
makes it harder to see what the main topics are.  It’s a problem we have
here (the Guile manual is worse in that respect :-)).

> However, moving "guix pull" and "guix time-machine" to this section
> does not appear to me "logical" and should stay under Package
> management.  Especially with the "one level higher" move.  WDYT?

We’ll see that later.  :-)

Thanks,
Ludo’.